1. Overview
Manage Akuiteo Workforce (Employee) domain by REST Api
1.1. Version information
Version : 2.0.0
1.2. Contact information
Contact Email : admin@akuiteo.com
1.3. License information
License : Commercial
License URL : https://www.akuiteo.com/mentions-legales
Terms of service : null
1.4. URI scheme
Host : api.akuiteo.fr
BasePath : /akuiteo/rest/workforce
Schemes : HTTPS
1.5. Tags
-
Custom Requests : Custom Requests Management
-
Employees : Employees Management
-
Expenses : Expenses & Expenses Reports Management
-
Fluent : Fluent Api for Employees Management
-
Leaves : Leaves Management
-
Quick Entries Issue : Quick Entries Issue Management
-
Quick Entries Time : Quick Entries Time Management
-
Schedules : Schedules Management
-
Timerecordings : Timerecordings Management
1.6. Schemas Types
Data types of a schema can be :
-
string (date-time) : the date-time notation as defined by RFC 3339 (
yyyy-MM-dd’T’HH:mm:ss.SSSXXX). e.g. "2020-11-29T08:10:10+200" -
number : Any numbers.
-
number (double) : Floating-point numbers with double precision. e.g. 10.8
-
number (float) : Floating-point numbers. e.g. 10.8
-
integer (int64) : Signed 64-bit integers (long type). e.g. 10
-
boolean : Represents two values: true and false. Note that truthy and falsy values such as "true", "", 0 or null are not considered boolean values.
2. Resources
2.1. Custom Requests
Custom Requests Management
2.1.1. Get the list of the custom requests
POST /custom-requests/search
Description
Get the list of the custom requests
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
criteria |
The criteria |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Orders successfully loaded |
< CustomRequest > array |
Consumes
-
application/json
Produces
-
application/json
2.1.2. Get a custom request
GET /custom-requests/{custom_request_id}
Description
Get a custom request
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
custom_request_id |
The ident of a custom request |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Order successfully loaded |
Produces
-
application/json
2.1.3. publish custom request
POST /custom-requests/{custom_request_id}/publish
Description
Publish custom request
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
custom_request_id |
The ident of a custom request |
string |
Body |
publish_arguments |
The arguments for publishing custom request |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Published document |
Consumes
-
application/json
Produces
-
application/json
2.1.4. Read a custom request
POST /custom-requests/{custom_request_id}/read
Description
Read a custom request
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
custom_request_id |
The ident of a custom request |
string |
Body |
read_option |
The read options for returned custom request |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Order successfully loaded |
Consumes
-
application/json
Produces
-
application/json
2.2. Employees
Employees Management
2.2.1. create an employee
POST /employees
Description
create an employee
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
employee |
The employee to be created |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
successful creation |
string |
Consumes
-
application/json
Produces
-
application/json
2.2.2. Retrieve all employees
GET /employees
Description
Retrieve all employees
Produces
-
application/json
2.2.3. Get the avatar of the employee
GET /employees/avatar.png
Description
Get the avatar of the employee
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Query |
employee_code |
The code of the employee |
string |
Query |
s |
Size in pixel of the image |
integer |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Image of the Employee having this code |
string (binary) |
Consumes
-
application/json
Produces
-
image/*
2.2.4. Get the list of the business card
POST /employees/business-cards/search
Description
Search business card
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
criteria |
The criteria |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
business card successfully loaded |
< BusinessCard > array |
Consumes
-
application/json
Produces
-
application/json
2.2.5. Get the list of the employees
POST /employees/search
Description
Get the list of the employees
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Query |
from |
Filtering employee history from this date |
string (date-time) |
Query |
to |
Filtering employee history to this date |
string (date-time) |
Body |
criteria |
The criteria |
Produces
-
application/json
2.2.6. Get an employee
GET /employees/{employee_id}
Description
Get an employee
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
employee_id |
The id of the employee |
string |
Produces
-
application/json
2.2.7. Update an employee
PUT /employees/{employee_id}
Description
Update an employee
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
employee_id |
The id of the employee |
string |
Body |
employee |
The employee to be updated |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
successful update |
string |
Consumes
-
application/json
Produces
-
application/json
2.2.8. Update the list of abilities of an employee
POST /employees/{employee_id}/abilities
Description
Update the list of abilities of an employee
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
employee_id |
The id of the employee |
string |
Body |
employeeAbility |
Employee Abilities to be updated |
< EmployeeAbility > array |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Abilities of the employee |
string |
Produces
-
application/json
2.2.9. Get the list of abilities of an employee
GET /employees/{employee_id}/abilities
Description
Get the list of abilities of an employee
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
employee_id |
The id of the employee |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Abilities of the employee |
< EmployeeAbility > array |
Produces
-
application/json
2.2.10. Delete employee’s abilities
DELETE /employees/{employee_id}/abilities
Description
Delete employee’s abilities
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
employee_id |
The id of the employee |
string |
Body |
employeeAbility |
Employee Abilities to be deleted |
< EmployeeAbility > array |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Employee’s abilities deleted |
No Content |
Produces
-
application/json
2.2.11. Get the avatar of the employee
GET /employees/{employee_id}/avatar.png
Description
Get the avatar of the employee
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
employee_id |
The id of the employee |
string |
Query |
s |
Size in pixel of the image |
integer |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Image of the Employee having this id |
string (binary) |
Consumes
-
application/json
Produces
-
image/*
2.2.12. Create a business card
PUT /employees/{employee_id}/business-cards
Description
Create a business card
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
employee_id |
The id of the employee |
string |
Body |
business-card |
The business card to be created |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
BusinessCard successfully inserted |
string |
Consumes
-
application/json
Produces
-
application/json
2.2.13. Update a business card
POST /employees/{employee_id}/business-cards/{business_card_id}
Description
Update a business card
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
business_card_id |
The ident of a business card |
string |
Path |
employee_id |
The ident of an employee |
string |
Body |
business-card |
The business card to be updated |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
BusinessCard successfully updated |
string |
Consumes
-
application/json
Produces
-
application/json
2.2.14. Delete a business card
DELETE /employees/{employee_id}/business-cards/{business_card_id}
Description
Delete a business card
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
business_card_id |
The ident of a business card |
string |
Path |
employee_id |
The ident of an employee |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Business card successfully deleted |
No Content |
Consumes
-
application/json
Produces
-
application/json
2.2.15. update an employee history
PUT /employees/{employee_id}/history
Description
update an employee history
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
employee_id |
The id of the employee |
string |
Query |
from |
date |
string (date-time) |
Body |
employee |
The employee to be updated |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
successful history update |
string |
Consumes
-
application/json
Produces
-
application/json
2.2.16. Read an employee
POST /employees/{employee_id}/read
Description
Read an employee
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
employee_id |
The id of the employee |
string |
Body |
read_options |
the read options for returned employee |
Produces
-
application/json
2.2.17. create an employee fluently
POST /fluent/employees
Description
create an employee fluently
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
employeesFluent |
The employee to be created |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
successful creation |
string |
Consumes
-
application/json
Produces
-
application/json
2.2.18. update an employee fluently
PUT /fluent/employees/{employee_code}
Description
update an employee fluently
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
employee_code |
the code a the Employee to update |
string |
Body |
employeesFluent |
The employeeFluent to update |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
successful update |
string |
Consumes
-
application/json
Produces
-
application/json
2.2.19. update an employee history fluently
POST /fluent/employees/{employee_code}/history
Description
update an employee history fluently
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
employee_code |
the code a the Employee to update |
string |
Query |
from |
date |
string (date-time) |
Body |
history |
The employee to be updated |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
successful history update |
string |
Consumes
-
application/json
Produces
-
application/json
2.2.20. Retrieve holidays
GET /holidays
Description
Retrieve holidays
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Query |
from |
Filtering from this date |
string (date-time) |
Query |
to |
Filtering to this date |
string (date-time) |
Produces
-
application/json
2.2.21. Retrieve all managers with delegation for me
POST /managers-delegated/mine
Description
Retrieve all managers with delegation for me
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
criteria |
Filtering the managers for this module delegation |
Produces
-
application/json
2.2.22. Retrieve all managers
POST /managers/search
Description
Retrieve all managers
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Query |
from |
Filtering the managers from this date |
string (date-time) |
Query |
to |
Filtering the managers to this date |
string (date-time) |
Body |
criteria |
search criteria |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
All Managers meeting the search criteria |
< Employee > array |
Produces
-
application/json
2.3. Expenses
Expenses & Expenses Reports Management
2.3.1. Search the expense types
POST /employees/expense-types/search
Description
Search the expense types
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
criteria |
The criteria |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Expense types |
< ExpenseType > array |
Produces
-
application/json
2.3.2. create an expense
PUT /employees/{employee_id}/expense-reports/expenses
Description
create an expense
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
employee_id |
The id of the employee |
string |
Body |
expense |
The expense to be created |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Expense successfully inserted |
string |
Consumes
-
application/json
Produces
-
application/json
2.3.3. get the employee’s expense reports
POST /employees/{employee_id}/expense-reports/search
Description
get the employee’s expense reports
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
employee_id |
The id of the employee |
string |
Query |
range |
The range of reports (ex 10-15) |
string |
Body |
criteria |
the criteria |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
The Expense reports of the employee |
< ExpenseReport > array |
Consumes
-
application/json
Produces
-
application/json
2.3.4. Remaining threshold
GET /employees/{employee_id}/expense-type/{expense_type_code}/calculate-remaining-threshold
Description
calculate the remaining threshold for the employee and the expense type
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
employee_id |
The id of the employee |
string |
Path |
expense_type_code |
The code of the expenseType |
string |
Query |
alreadyUsed |
true if the expense type is already used the same day |
boolean |
Query |
expenseDate |
date of the expense |
string (date-time) |
Query |
expense_report_to_exclude_id |
The expense report to exclude from the calculation |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Remaining threshold for the employee and the expense type |
number (double) |
Produces
-
application/json
2.3.5. Get the expense threshold
GET /employees/{employee_id}/expense-type/{expense_type_code}/threshold
Description
Retrieve schedule
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
employee_id |
The id of the employee |
string |
Path |
expense_type_code |
The code of the expenseType |
string |
Query |
expenseDate |
date of the expense |
string (date-time) |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
ExpenseThreshold having this id |
Produces
-
application/json
2.3.6. Search the expense types of employee
POST /employees/{employee_id}/expense-types/search
Description
Search the expense types of employee
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
employee_id |
The id of the employee |
string |
Body |
criteria |
The criteria |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Expense types of employee |
< ExpenseType > array |
Produces
-
application/json
2.3.7. Pre-fill expense
POST /employees/{employee_id}/expenses/pre-fill
Description
Pre-fill a previously created expense.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
employee_id |
The id of the employee |
string |
Query |
object_id |
The id of the object à partir duquel pré remplir la dépense |
string |
Query |
object_type |
The type of object (see ExpensePreFillObjectType) |
string |
Body |
expense |
The expense to be prefilled |
Consumes
-
application/json
Produces
-
application/json
2.3.8. get refused expenses of the employee
GET /employees/{employee_id}/expenses/refused
Description
get refused expenses
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
employee_id |
The id of the employee |
string |
Consumes
-
application/json
Produces
-
application/json
2.3.9. dashboard for expenses
POST /expense-report/dashboard
Description
dashboard for expenses
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
criteria |
search criteria |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
the expenses results successfully loaded |
< ExpenseDashboardResult > array |
Consumes
-
application/json
Produces
-
application/json
2.3.10. get the ids of the related company codes
POST /expense-report/intercompany-rebilling/related-company-code
Description
get the ids of the related company codes
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
expense_report_id_list |
The ids of the related company codes |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
The ids of the related company codes |
< string > array |
Consumes
-
application/json
Produces
-
application/json
2.3.11. get expense report specific publish parameters
GET /expense-report/publishing/templates/parameters
Description
get expense report specific publish parameters
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
publish parameters |
< PublishTemplateParameter > array |
Produces
-
application/json
2.3.12. bill expense report
POST /expense-report/{expense_report_id}/bill
Description
bill expense report
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
expense_report_id |
The ident of an expense report |
string |
Body |
billing_parameters |
The parameters for the billing |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
the expense report has been billed |
string |
Consumes
-
application/json
Produces
-
application/json
2.3.13. publish expense report
POST /expense-report/{expense_report_id}/publish
Description
Publish expense report
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
expense_report_id |
The ident of an expense report |
string |
Query |
link_receipts |
true if the receipts have to be linked to the document |
boolean |
Body |
publish_arguments |
The arguments for publishing expense report |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
published document |
Consumes
-
application/json
Produces
-
application/json
2.3.14. validate expense report
POST /expense-report/{expense_report_id}/validate
Description
validate expense report
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
expense_report_id |
The ident of an expense report |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
the expense report has been validated |
No Content |
Consumes
-
application/json
Produces
-
application/json
2.3.15. Search Assignment
POST /expense-reports/assignments/search
Description
Search Assignment For Expense Reports Module
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
criteria |
search criteria |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Projects successfully loaded |
< AssignmentNode > array |
Consumes
-
application/json
Produces
-
application/json
2.3.16. get my expense reports
POST /expense-reports/mine
Description
get my expense reports
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Query |
from |
Filtering my expense reports from this date |
string (date-time) |
Query |
mode |
if 'latest' then filter the expense reports with all non invoiced and the latest invoiced |
string |
Query |
to |
Filtering my expense reports to this date |
string (date-time) |
Body |
read_option |
the read options for returned expenses |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
My Expense reports |
< ExpenseReport > array |
Consumes
-
application/json
Produces
-
application/json
2.3.17. search expense Report
POST /expense-reports/search
Description
search Expense Report
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
criteria |
search criteria |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Expenses meeting the search criteria |
< ExpenseReport > array |
Consumes
-
application/json
Produces
-
application/json
2.3.18. Get an expense report
GET /expense-reports/{expense_report_id}
Description
Get an expense report
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
expense_report_id |
The ident of an expense report |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Expense report successfully loaded |
Produces
-
application/json
2.3.19. Delete an expense report
DELETE /expense-reports/{expense_report_id}
Description
Delete an expense report
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
expense_report_id |
The ident of an expense report |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Expense report successfully deleted |
No Content |
Produces
-
application/json
2.3.20. Update an expense report with a patch
PATCH /expense-reports/{expense_report_id}
Description
Update an expense report with a patch
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
expense_report_id |
The ident of an expense report |
string |
Body |
patch_elements |
all patches to applies |
< PatchElement > array |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
successful Expense Report update using the patch |
string |
Produces
-
application/json
2.3.21. Cancel an expense report completion
POST /expense-reports/{expense_report_id}/cancel-completion
Description
Complete an expense report
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
expense_report_id |
The ident of an expense report |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Expense report completion successfully cancelled |
No Content |
Produces
-
application/json
2.3.22. Complete an expense report
POST /expense-reports/{expense_report_id}/complete
Description
Complete an expense report
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
expense_report_id |
The ident of an expense report |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Expense report successfully completed |
No Content |
Produces
-
application/json
2.3.23. Update an expense
POST /expense-reports/{expense_report_id}/expenses/{expense_id}
Description
Update an expense
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
expense_id |
The ident of an expense |
string |
Path |
expense_report_id |
The ident of an expense report |
string |
Body |
expense |
The expense to be updated |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Expense successfully updated |
string |
Consumes
-
application/json
Produces
-
application/json
2.3.24. Delete an expense
DELETE /expense-reports/{expense_report_id}/expenses/{expense_id}
Description
Delete an expense
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
expense_id |
The ident of an expense |
string |
Path |
expense_report_id |
The ident of an expense report |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Expense successfully deleted |
No Content |
Consumes
-
application/json
Produces
-
application/json
2.3.25. Cancel a smart scan
POST /expense-reports/{expense_report_id}/expenses/{expense_id}/cancel-smart-scan
Description
Cancel a smart scan
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
expense_id |
The ident of an expense |
string |
Path |
expense_report_id |
The ident of an expense report |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Smart scan successfully cancelled |
No Content |
Consumes
-
application/json
Produces
-
application/json
2.3.26. Give up an expense
POST /expense-reports/{expense_report_id}/expenses/{expense_id}/give-up
Description
Give up an expense
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
expense_id |
The ident of an expense |
string |
Path |
expense_report_id |
The ident of an expense report |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Expense successfully give up |
string |
Consumes
-
application/json
Produces
-
application/json
2.3.27. Move an expense
POST /expense-reports/{expense_report_id}/expenses/{expense_id}/move
Description
move an expense to an existing expense report or to a new one
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
expense_id |
The ident of an expense |
string |
Path |
expense_report_id |
The ident of an expense report |
string |
Query |
expense_date |
The expense date |
string (date-time) |
Query |
new_expense_report_id |
The target expense report |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Expense successfully moved |
string |
Consumes
-
application/json
Produces
-
application/json
2.3.28. recover an expense in an expense report
POST /expense-reports/{expense_report_id}/expenses/{expense_id}/recover
Description
Recover an expense in an expense report
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
expense_id |
The ident of an expense |
string |
Path |
expense_report_id |
The ident of an expense report |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Expense successfully recovered |
string |
Consumes
-
application/json
Produces
-
application/json
2.3.29. Refuse an expense
POST /expense-reports/{expense_report_id}/expenses/{expense_id}/refuse
Description
Refuse an expense
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
expense_id |
The ident of an expense |
string |
Path |
expense_report_id |
The ident of an expense report |
string |
Body |
comment |
comment |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Expense successfully refused |
string |
Consumes
-
application/json
Produces
-
application/json
2.3.30. get the expense receipts linked to an expense report
GET /expense-reports/{expense_report_id}/get-linked-expense-receipt
Description
get the expense receipts linked to an expense report
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
expense_report_id |
The ident of an expense report |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
the linked expense receipts |
< ExpenseReceiptSummary > array |
Consumes
-
application/json
Produces
-
application/json
2.3.31. Get an expense report with read options
POST /expense-reports/{expense_report_id}/read
Description
Get an expense report with read options
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
expense_report_id |
The ident of an expense report |
string |
Body |
read_option |
the read options for returned expense report |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Expense report successfully loaded |
Consumes
-
application/json
Produces
-
application/json
2.3.32. Cancel a refusal for an expense
POST /expenses/{expense_id}/cancel-refusal
Description
Cancel a refusal for an expense
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
expense_id |
The ident of an expense |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Expense successfully refused |
string |
Consumes
-
application/json
Produces
-
application/json
2.3.33. Get the list of the fiscal power
POST /fiscal-power/search
Description
Search fiscal power
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
criteria |
The criteria |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
fiscal power successfully loaded |
< FiscalPower > array |
Consumes
-
application/json
Produces
-
application/json
2.4. Fluent
Fluent Api for Employees Management
2.4.1. create an employee fluently
POST /fluent/employees
Description
create an employee fluently
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
employeesFluent |
The employee to be created |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
successful creation |
string |
Consumes
-
application/json
Produces
-
application/json
2.4.2. update an employee fluently
PUT /fluent/employees/{employee_code}
Description
update an employee fluently
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
employee_code |
the code a the Employee to update |
string |
Body |
employeesFluent |
The employeeFluent to update |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
successful update |
string |
Consumes
-
application/json
Produces
-
application/json
2.4.3. update an employee history fluently
POST /fluent/employees/{employee_code}/history
Description
update an employee history fluently
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
employee_code |
the code a the Employee to update |
string |
Query |
from |
date |
string (date-time) |
Body |
history |
The employee to be updated |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
successful history update |
string |
Consumes
-
application/json
Produces
-
application/json
2.4.4. create a schedule fluently
POST /fluent/schedule
Description
Create a schedule fluently
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
schedule |
search criteria |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
creation successful |
string |
Consumes
-
application/json
Produces
-
application/json
2.4.5. delete the list of the schedule fluently
DELETE /fluent/schedule
Description
Delete the list of the schedule fluently
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Query |
from |
Filtering Schedule from this date |
string (date-time) |
Query |
to |
Filtering Schedule to this date |
string (date-time) |
Body |
criteria |
The criteria |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
delete successful |
string |
Consumes
-
application/json
Produces
-
application/json
2.5. Leaves
Leaves Management
2.5.1. Retrieve my leave rights
GET /leave-rights/mine
Description
Retrieve my leave rights
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
My Leave Rights |
< LeaveRight > array |
Produces
-
application/json
2.5.2. create a leave
PUT /leaves
Description
create a leave
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
leave |
The leave to be created |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
id of the Leaves successfully created |
string |
Consumes
-
application/json
Produces
-
application/json
2.5.3. for test only, to remove
GET /leaves/mine
Description
for test only, to remove
Produces
-
application/json
2.5.4. search leaves
POST /leaves/search
Description
search leaves
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
criteria |
search criteria |
Consumes
-
application/json
Produces
-
application/json
2.5.5. Update a leave
POST /leaves/{leave_id}
Description
Update a leave
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
leave_id |
The id of the leave |
string |
Body |
leave |
The leave to be updated |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
id of the Leave successfully created |
string |
Consumes
-
application/json
Produces
-
application/json
2.5.6. Get a leave
GET /leaves/{leave_id}
Description
Get a leave
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
leave_id |
The id of the leave |
string |
Produces
-
application/json
2.5.7. Delete a leave
DELETE /leaves/{leave_id}
Description
Delete a leave
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
leave_id |
The id of the leave |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
successful delete |
No Content |
Produces
-
application/json
2.5.8. Cancel a leave
POST /leaves/{leave_id}/cancel
Description
Cancel a leave
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
leave_id |
The id of the leave |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
successful Cancel |
No Content |
Produces
-
application/json
2.6. Quick Entries Issue
Quick Entries Issue Management
2.7. Quick Entries Time
Quick Entries Time Management
2.7.1. Search My Quick Entries Time
GET /timerecordings/quick-entries-time/search-mine
Description
Search My Quick Entries Time
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
My QuickEntriesTime |
< QuickEntryTime > array |
Produces
-
application/json
2.8. Schedules
Schedules Management
2.8.1. create a schedule fluently
POST /fluent/schedule
Description
Create a schedule fluently
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
schedule |
search criteria |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
creation successful |
string |
Consumes
-
application/json
Produces
-
application/json
2.8.2. delete the list of the schedule fluently
DELETE /fluent/schedule
Description
Delete the list of the schedule fluently
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Query |
from |
Filtering Schedule from this date |
string (date-time) |
Query |
to |
Filtering Schedule to this date |
string (date-time) |
Body |
criteria |
The criteria |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
delete successful |
string |
Consumes
-
application/json
Produces
-
application/json
2.8.3. create a schedule
POST /schedules
Description
Create a schedule
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
schedule |
schedule to create |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
creation successful |
string |
Consumes
-
application/json
Produces
-
application/json
2.8.4. delete the list of the schedule
DELETE /schedules
Description
Delete the list of the schedule
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Query |
from |
Filtering Schedule from this date |
string (date-time) |
Query |
to |
Filtering Schedule to this date |
string (date-time) |
Body |
criteria |
The criteria |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
delete successful |
string |
Consumes
-
application/json
Produces
-
application/json
2.8.5. Search Schedule
POST /schedules/search
Description
Search Schedule
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Query |
from |
Filtering times from this date |
string (date-time) |
Query |
to |
Filtering times to this date |
string (date-time) |
Body |
criteria |
The criteria |
Produces
-
application/json
2.8.6. Retrieve schedule
GET /schedules/{schedule_id}
Description
Retrieve schedule
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
schedule_id |
The id of the schedule |
string |
Produces
-
application/json
2.9. Timerecordings
Timerecordings Management
2.9.2. Retrieve approvals without refuse
GET /approvals-without-refuse
Description
Retrieve approvals without refuse
Produces
-
application/json
2.9.3. Get the list of the timerecording terminations of an employee
GET /employees/{employee_id}/timerecording-terminations
Description
Get the list of the timerecording terminations of an employee
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
employee_id |
The id of the employee |
string |
Query |
from |
Filtering times from this date |
string (date-time) |
Query |
to |
Filtering times to this date |
string (date-time) |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
TimeRecording Terminations Of Employee |
< TimeRecordingTermination > array |
Produces
-
application/json
2.9.4. Get the list of the timerecording terminations of the employees for a given manager
GET /managers/{manager_id}/employees/timerecording-terminations
Description
Get the list of the timerecording terminations of the employees for a given manager
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Path |
manager_id |
The id of the manager |
string |
Query |
from |
Filtering times from this date |
string (date-time) |
Query |
to |
Filtering times to this date |
string (date-time) |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
TimeRecording terminations of Employees for a given Manager |
< TimeRecordingTermination > array |
Produces
-
application/json
2.9.5. Get the list of the timerecordings of the employees of the manager
GET /managers/{manager_id}/employees/timerecordings
Description
Get the list of the timerecordings of the employees of the manager
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
Path |
manager_id |
The id of the manager |
string |
|
Query |
from |
Filtering times from this date |
string (date-time) |
|
Query |
to |
Filtering times to this date |
string (date-time) |
|
Query |
unit |
unit of duration |
string |
|
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Timerecordings meeting the criteria |
< TimeRecording > array |
Produces
-
application/json
2.9.6. Add a duration on this referential
POST /timerecordings/add
Description
Add a duration on this referential
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
timerecording |
The timerecording which contains the duration, date and data referential |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
TimeRecording successfully added |
No Content |
Consumes
-
application/json
Produces
-
application/json
2.9.7. Cancel validation of time recordings
POST /timerecordings/cancel-validation
Description
Cancel validation of time recordings
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
idents |
Time recordings’s idents |
< string > array |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Number of TimeRecordings Canceled |
integer |
Consumes
-
application/json
Produces
-
application/json
2.9.8. get my timerecordings
GET /timerecordings/mine
Description
get my timerecordings
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Query |
from |
Filtering my timerecordings from this date |
string (date-time) |
Query |
to |
Filtering my timerecordings to this date |
string (date-time) |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
My TimeRecording |
< TimeRecording > array |
Produces
-
application/json
2.9.9. Search My Quick Entries Time
GET /timerecordings/quick-entries-time/search-mine
Description
Search My Quick Entries Time
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
My QuickEntriesTime |
< QuickEntryTime > array |
Produces
-
application/json
2.9.10. Refuse time recordings
POST /timerecordings/refuse
Description
Refuse time recordings
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
approvalValidation |
Refuse type and time recordings’s idents |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
number of TimeRecordings Refused |
integer |
Consumes
-
application/json
Produces
-
application/json
2.9.11. Replace all existing durations by a new duration on this referential
POST /timerecordings/replace
Description
Replace all existing durations by a new duration on this referential
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
timerecording |
The timerecording which contains the duration, date and data referential |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
TimeRecording successfully replaced |
No Content |
Consumes
-
application/json
Produces
-
application/json
2.9.12. Remove all existing durations on this referential
POST /timerecordings/reset
Description
Remove all existing durations on this referential
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
timerecording |
The timerecording which contains the duration, date and data referential |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
TimeRecording successfully reset |
No Content |
Consumes
-
application/json
Produces
-
application/json
2.9.13. Search TimeRecording
POST /timerecordings/search
Description
Search TimeRecording
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
Query |
unit |
unit of duration |
string |
|
Body |
criteria |
The criteria |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Timerecordings meeting the criteria |
< TimeRecording > array |
Produces
-
application/json
2.9.14. Notify by email employees with incomplete time recordings
POST /timerecordings/send
Description
Notify by email employees with incomplete time recordings
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
criteria |
The criteria |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Number of sent emails |
integer |
Consumes
-
application/json
Produces
-
application/json
2.9.15. add termination
POST /timerecordings/termination/add
Description
add a termination. Depending on the management rule TPS_TERMINAISON, the termination is on a month or on a week
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
termination |
The TimeRecordingTermination |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
successful operation, return the id of the created TimeRecordingTermination |
string |
Consumes
-
application/json
Produces
-
application/json
2.9.16. cancel termination
POST /timerecordings/termination/cancel
Description
cancel termination
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
ids |
timerecordingTermination ids |
< string > array |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
Termination canceled |
No Content |
Consumes
-
application/json
Produces
-
application/json
2.9.17. Validate time recordings
POST /timerecordings/validate
Description
Validate time recordings
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
Body |
approvalValidation |
Approval type and time recordings’s idents |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
number of TimeRecordings Validated |
integer |
Consumes
-
application/json
Produces
-
application/json
3. Definitions
3.2. AbilityLevel
level of expertise of an employee an a specific ability
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
string |
|
id |
Id in database |
string |
name |
string |
3.3. AccountingJournal
Accounting Journal
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
Code of the accounting journal |
string |
id |
Id in database |
string |
name |
Name of the accounting journal |
string |
type |
Details about the journal type |
3.4. Action
Verb of the request to specify which type of action you will send.
Type : enum (ADD, UPDATE, REMOVE)
3.5. ActionCode
Code of the Action
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
id |
Id in database |
string |
name |
string |
3.6. ActionCode2
ActionCode2
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
string |
|
id |
Id in database |
string |
name |
string |
3.7. ActiveModule
List of active modules
Type : enum (EXPENSE_REPORTS, TIMES_RECORDING, SCHEDULE, QUOTATION, SALES_ORDER, INVOICE, PURCHASE_ORDER, QUOTE, RECEPTION, PURCHASE_INVOICE)
3.8. Address
Address
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
cedex |
string |
|
city |
string |
|
country |
string |
|
id |
Id in database |
string |
line1 |
string |
|
line2 |
string |
|
line3 |
string |
|
postalCode |
string |
3.9. Alert
Alert message
| Name | Schema |
|---|---|
level |
enum (ERROR, WARNING, INFO) |
message |
string |
3.10. AnalysisResult
AnalysisResult
| Name | Schema |
|---|---|
date |
string (date-time) |
group |
< string, object > map |
value |
number (double) |
3.11. ApplicationControlBase
Application control
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
string |
|
id |
Id in database |
string |
info1 |
string |
|
info2 |
string |
|
info3 |
string |
|
info4 |
string |
|
info5 |
string |
3.12. Approval
Approval
| Name | Schema |
|---|---|
code |
string |
ident |
string |
name |
string |
order |
integer |
3.13. ApprovalValidation
ApprovalValidation
| Name | Schema |
|---|---|
approval |
|
idents |
< string > array |
reason |
string |
3.14. Assignment
Assignment (affectation)
Polymorphism : Composition
| Name | Schema |
|---|---|
customer |
|
customerId |
string |
phase |
|
phaseId |
string |
project |
|
projectId |
string |
projectTask |
|
projectTaskId |
string |
subPhase |
|
subPhaseId |
string |
3.15. AssignmentCriteria
AssignmentCriteria
| Name | Description | Schema |
|---|---|---|
customerId |
||
divisionGroupId |
||
divisionId |
||
employeeId |
string |
|
entityId |
||
lowerAssignmentType |
Define the leaf node type when searching an assignment tree. If not set, default leaf node type is SUBPHASE or PROJECT_TASK according to the selected ActiveModule. |
|
phaseCode |
||
phaseId |
||
projectClosed |
||
projectId |
||
projectTaskId |
||
referentialDate |
string (date-time) |
|
subPhaseCode |
||
subPhaseId |
||
tag |
||
upperAssignmentType |
Define the root node type when searching an assignment tree. If not set, default root node type is CUSTOMER |
3.16. AssignmentNode
Assignement
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
additionalProperties |
functional properties (map<String, string>) of this node |
< string, string > map |
assignments |
Example : |
< AssignmentNode > array |
code |
string |
|
description |
string |
|
id |
Id in database |
string |
longDescription |
string |
|
parentId |
string |
|
parentType |
||
selectable |
boolean |
|
type |
3.17. AssignmentType
Type of Assignment
Type : enum (CUSTOMER, PROJECT, PHASE, SUBPHASE, PROJECT_TASK, DIVISION, DIVISION_GROUP, ENTITY, COMPANY)
3.19. AxeCriteria
AxeCriteria
| Name | Schema |
|---|---|
axeType |
string |
customerAccountManagerId |
|
customerAccountManagerSupervisorId |
|
customerCountryId |
|
customerFamilyId |
|
customerGrouping1 |
|
customerGrouping2 |
|
customerId |
|
customerRegionId |
|
customerSalesmanId |
|
customerSalesmanSupervisorId |
|
customerSectorId |
|
customerState |
|
customerSubFamilyId |
|
groupCustomer |
|
phaseId |
|
projectActivityId |
|
projectCampaignId |
|
projectCompanyCode |
|
projectDepartmentId |
|
projectDivisionGroupId |
|
projectDivisionId |
|
projectEstablishmentId |
|
projectFamilyId |
|
projectFinancialManagerId |
|
projectId |
|
projectManagerId |
|
projectMarketId |
|
projectProductionManagerId |
|
projectSalesManagerId |
|
projectState |
|
projectSubFamily2Id |
|
projectSubFamilyId |
|
projectVintageId |
|
prospect |
|
subPhaseId |
3.21. AxeGroupsType
AxeGroupsType
Type : enum (PROJECT_ID, PROJECT_NAME, PROJECT_COMPANY_CODE, PROJECT_DIVISION_GROUP_ID, PROJECT_DIVISION_GROUP_NAME, PROJECT_DIVISION_ID, PROJECT_DIVISION_NAME, PROJECT_ESTABLISHMENT_ID, PROJECT_ESTABLISHMENT_NAME, PROJECT_ACTIVITY_ID, PROJECT_ACTIVITY_NAME, PROJECT_DEPARTMENT_ID, PROJECT_DEPARTMENT_NAME, PROJECT_FAMILY_ID, PROJECT_FAMILY_CODE, PROJECT_SUB_FAMILY_ID, PROJECT_SUB_FAMILY_CODE, PROJECT_SUB_FAMILY2_ID, PROJECT_SUB_FAMILY2_CODE, PROJECT_VINTAGE_ID, PROJECT_VINTAGE_CODE, PROJECT_MANAGER_ID, PROJECT_MANAGER_CODE, PROJECT_SALES_MANAGER_ID, PROJECT_SALES_MANAGER_CODE, PROJECT_FINANCIAL_MANAGER_ID, PROJECT_FINANCIAL_MANAGER_CODE, PROJECT_PRODUCTION_MANAGER_ID, PROJECT_PRODUCTION_MANAGER_CODE, PROJECT_CAMPAIGN_ID, PROJECT_CAMPAIGN_CODE, PROJECT_STATE, PROJECT_MARKET_ID, PROJECT_MARKET_CODE, PROJECT_MARKET_NAME, PHASE_ID, PHASE_CODE, PHASE_NAME, SUB_PHASE_ID, SUB_PHASE_CODE, SUB_PHASE_NAME, CUSTOMER_ID, CUSTOMER_CODE, CUSTOMER_NAME, CUSTOMER_FAMILY_ID, CUSTOMER_FAMILY_CODE, CUSTOMER_SUB_FAMILY_ID, CUSTOMER_SUB_FAMILY_CODE, CUSTOMER_GROUPING_1, CUSTOMER_GROUPING_2, CUSTOMER_SECTOR_ID, CUSTOMER_SECTOR_CODE, CUSTOMER_STATE, CUSTOMER_COUNTRY_ID, CUSTOMER_COUNTRY_NAME, CUSTOMER_COUNTRY_CODE, CUSTOMER_REGION_ID, CUSTOMER_REGION_CODE, CUSTOMER_ACCOUNT_MANAGER_ID, CUSTOMER_ACCOUNT_MANAGER_CODE, CUSTOMER_SALES_MAN_ID, CUSTOMER_SALES_MAN_CODE, CUSTOMER_ACCOUNT_MANAGER_SUPERVISOR_ID, CUSTOMER_ACCOUNT_MANAGER_SUPERVISOR_CODE, CUSTOMER_SALES_MAN_SUPERVISOR_ID, CUSTOMER_SALES_MAN_SUPERVISOR_CODE, CUSTOMER_PROSPECT, CUSTOMER_OPENING_DATE, CUSTOMER_PROFESSION, CUSTOMER_PROFESSIONAL_CATEGORY)
3.22. BusinessCard
Business card (Carte entreprise)
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
cardNumber |
string |
|
employeeId |
string |
|
encryptedCardNumber |
string |
|
endDate |
string (date-time) |
|
id |
Id in database |
string |
name |
string |
|
type |
3.23. BusinessCardCriteria
BusinessCardCriteria
| Name | Schema |
|---|---|
employeeId |
|
encryptedCardNumber |
|
endDate |
|
id |
|
name |
|
type |
3.25. BusinessDocument
businessDocument (pièce de gestion)
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
accountingJournalId |
ID of Accounting Journal |
string |
afterTaxAmount |
After-Tax Amount |
number (double) |
changeTracking |
Date and user in case of creation and modification |
|
comment |
Comment |
string |
companyCode |
The company code |
string |
currency |
All details about the currency |
|
currencyCode |
Code of the currency used in the document |
string |
date |
Date on the business document |
string (date-time) |
description |
Description |
string |
entityCode |
The entity code |
string |
id |
Id in database |
string |
manager |
Manager details |
|
managerId |
Id of the manager |
string |
name |
Name of the business document |
string |
number |
The number of the business document |
string |
payment |
Payment |
|
phase |
Details about the phase of the project. |
|
phaseId |
The Id of the phase |
string |
preTaxAmount |
Pre-Tax Amount |
number (double) |
project |
All details about the project |
|
projectId |
The code of the project |
string |
projectedApprovalDate |
Project approval date |
string (date-time) |
subPhase |
Details about the sub-phase of the project |
|
subPhaseId |
The Id of the sub-phase |
string |
text |
Text on document |
string |
thirdPartyId |
The Id of the third-party |
string |
thirdPartyToBillId |
The Id of the third-party to bill |
string |
type |
Type of the business document |
3.26. BusinessDocumentLine
BusinessDocumentLine (ligne de pièce de gestion)
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
amountTotal |
Total amount in euro |
number (double) |
amountTotalCurrency |
Total amount in the currency |
number (double) |
complementName |
Description of the line |
string |
generalAccount |
General Account |
string |
id |
Id in database |
string |
name |
Name of the line |
string |
phase |
Details about the phase of the project. |
|
phaseId |
The Id of the phase |
string |
project |
All details about the project |
|
projectId |
The code of the project |
string |
quantity |
Quantity of the sold product |
number (double) |
rankNumber |
Rank number of the line |
number (double) |
subPhase |
Details about the sub-phase of the project |
|
subPhaseId |
The Id of the sub-phase |
string |
unitPrice |
Unit price of the sold product in euro |
number (double) |
unitPriceCurrency |
Unit price of the sold product in the currency |
number (double) |
3.27. BusinessDocumentSalesLine
BusinessDocumentSalesLine (ligne de pièce de gestion vente)
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
amountTotal |
Total amount in euro |
number (double) |
amountTotalCurrency |
Total amount in the currency |
number (double) |
complementName |
Description of the line |
string |
discount |
Total discount amount (on the line) in currency |
number (double) |
endDate |
Period end date |
string (date-time) |
exchangeRate |
Details about the exchange rate |
|
generalAccount |
General Account |
string |
id |
Id in database |
string |
item |
Details about the item |
|
itemId |
The Id of the sold product |
string |
name |
Name of the line |
string |
phase |
Details about the phase of the project. |
|
phaseId |
The Id of the phase |
string |
project |
All details about the project |
|
projectId |
The code of the project |
string |
projectTask |
Details about the project task. |
|
projectTaskId |
Id of the project task |
string |
quantity |
Quantity of the sold product |
number (double) |
rankNumber |
Rank number of the line |
number (double) |
startDate |
Period start date |
string (date-time) |
subPhase |
Details about the sub-phase of the project |
|
subPhaseId |
The Id of the sub-phase |
string |
unitPrice |
Unit price of the sold product in euro |
number (double) |
unitPriceCurrency |
Unit price of the sold product in the currency |
number (double) |
vat1 |
Details about the first VAT rate |
|
vat2 |
Details about the second VAT rate |
|
vatAmount1 |
Amount in euro with the first VAT |
number (double) |
vatAmount1Currency |
Amount in currency for the first VAT |
number (double) |
vatAmount2 |
Amount in euro for the second VAT |
number (double) |
vatAmount2Currency |
Amount in currency for the second VAT |
number (double) |
3.28. BusinessDocumentType
Type of the business document
Type : enum (QUOTATION, SALES_ORDER, QUOTE, PURCHASE_ORDER, CUSTOM_REQUEST, PURCHASE_INVOICE, EXPENSE_REPORT, INVOICE, SALES_BILLING_TABLE, PURCHASE_BILLING_TABLE, RECEPTION)
3.29. BusinessReferential
businessReferential
Polymorphism : Composition
| Name | Description | Schema |
|---|---|---|
phase |
Details about the phase of the project. |
|
phaseId |
The Id of the phase |
string |
project |
All details about the project |
|
projectId |
The code of the project |
string |
subPhase |
Details about the sub-phase of the project |
|
subPhaseId |
The Id of the sub-phase |
string |
3.30. CalendarEvent
CalendarEvent
Polymorphism : Inheritance
Discriminator : type
| Name | Description | Schema |
|---|---|---|
actionCode |
||
actionCodeId |
string |
|
changeTracking |
Creation and modification date and user |
|
comment |
string |
|
customer |
||
customerId |
string |
|
date |
string (date-time) |
|
duration |
duration in unit asked (dft Unit of presentation of employee) |
number (double) |
employee |
||
employeeId |
string |
|
guid |
string |
|
id |
Id in database |
string |
phase |
||
phaseId |
string |
|
place |
string |
|
project |
||
projectId |
string |
|
projectTask |
||
projectTaskId |
string |
|
subPhase |
||
subPhaseId |
string |
|
type |
string |
|
unit |
Unit of duration (dft Unit of presentation of employee) |
|
validated |
boolean |
3.31. CalendarEventRules
CalendarEventRules
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
allowManualEntry |
Autorise ou non la saisie manuelle de la durée, si non, seule la saisie via le range de valeurs sera autorisée |
boolean |
base |
Base de calcul permettant de déduire la valeur max de décimal autorisé (ex: 60, 100) et permettant d’effectuer d’autres calculs sur les temps de manière dynamique |
number (double) |
closingDates |
Dates d’arrêté pour les temps et les plannings |
< ClosingDate > array |
employeeId |
string |
|
employeeWeeks |
Semaines types du collaborateur |
< EmployeeWeek > array |
id |
Id in database |
string |
max |
Borne maximale exclue de saisie d’une durée |
number (double) |
min |
Borne minimale exclue de saisie d’une durée |
number (double) |
prettyStep |
Pas d’incrémentation graphique d’une durée |
number (double) |
step |
Précision d’une durée, utile pour connaître le pas d’incrémentation |
number (double) |
unit |
Code de l’unité de présentation (cf com.itnsa.fwk.util.temps.UniteDePresentation) |
string |
unitDuration |
Unité de présentation (cf com.itnsa.fwk.util.temps.UniteDePresentation) |
3.32. Category
Category
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
The code of the category |
string |
companyCode |
The code of the company |
string |
endDate |
End date for using the category of the sold product |
string (date-time) |
id |
Id in database |
string |
name |
The name of the category |
string |
type |
Type of the category. |
3.33. CategoryType
Type of category
Type : enum (SALES_ITEM, PURCHASE_ITEM, PROJECT_CATEGORY, PROJECT_SUB_CATEGORY, PROJECT_SUB_CATEGORY_LEVEL2)
3.34. ChangeTracking
History of all changes made
| Name | Description | Schema |
|---|---|---|
createdBy |
Code of the creator (user) |
|
createdById |
Id of the creator (user) |
string |
createdTime |
Creation Date |
string (date-time) |
modificationBy |
Code of the user who did the modification |
|
modificationById |
Id of the user who did the modification |
string |
modificationTime |
Date of the modification. |
string (date-time) |
3.35. Clause
Basic clause type
| Name | Description | Schema |
|---|---|---|
operator |
The operator for your operation. |
|
value |
object |
3.36. ClauseBoolean
Boolean clause type
Polymorphism : Inheritance
Discriminator : operator
| Name | Description | Schema |
|---|---|---|
operator |
The operator for your operation. |
|
value |
boolean |
3.37. ClauseDate
String clause type
Polymorphism : Inheritance
Discriminator : operator
| Name | Description | Schema |
|---|---|---|
operator |
The operator for your operation. |
|
value |
string (date-time) |
3.38. ClauseDouble
Double clause type
Polymorphism : Inheritance
Discriminator : operator
| Name | Description | Schema |
|---|---|---|
operator |
The operator for your operation. |
|
value |
number |
3.39. ClauseOperation
Operation used by the clause
Type : enum (LIKE, IS, IS_NOT, IN, IS_NULL, IS_NOT_NULL, CLAUSES, GREATER_OR_EQUALS, GREATER, LOWER_OR_EQUALS, LOWER)
3.40. ClauseString
String clause type
Polymorphism : Inheritance
Discriminator : operator
| Name | Description | Schema |
|---|---|---|
operator |
The operator for your operation. |
|
value |
The value you search. |
string |
3.41. ClosingDate
ClosingDate
| Name | Schema |
|---|---|
beginningOfPeriod |
string (date-time) |
closingDate |
string (date-time) |
endOfPeriod |
string (date-time) |
module |
string |
3.42. ColorCodes
ColorCodes
| Name | Schema |
|---|---|
color1 |
string |
color2 |
string |
color3 |
string |
3.43. Command
Command
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
endDate |
string (date-time) |
|
error |
string |
|
id |
Id in database |
string |
progress |
||
result |
string |
|
startDate |
string (date-time) |
|
status |
enum (STARTED, NOT_STARTED, FINISHED, UNKNOWN, ERROR) |
3.44. CommandProgress
Command progress status
| Name | Schema |
|---|---|
current |
integer |
max |
integer |
3.45. Company
Company (Société)
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
string |
|
id |
Id in database |
string |
legalName |
string |
|
name |
string |
3.46. CompanyBase
Company (Société)
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
string |
|
id |
Id in database |
string |
name |
string |
3.47. ContactBase
contact
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
string |
|
firstName |
string |
|
id |
Id in database |
string |
name |
string |
3.48. Contract
Contract (contrat)
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
string |
|
endDate |
string (date-time) |
|
id |
Id in database |
string |
name |
string |
|
phaseId |
string |
|
projectId |
string |
|
reminderAlert |
string |
|
reminderDetail |
string |
|
subPhaseId |
string |
|
terminationDate |
string (date-time) |
3.49. ContractService
ContractService (prestation)
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
string |
|
contract |
||
contractId |
string |
|
criticalityId |
string |
|
id |
Id in database |
string |
issueTypeId |
string |
|
name |
string |
|
phaseId |
string |
|
priorityId |
string |
|
projectId |
string |
|
regression |
boolean |
|
reminderAlert |
string |
|
reminderDetail |
string |
|
severityId |
string |
|
subPhaseId |
string |
|
teamId |
string |
3.50. ControlBehavior
Field control behavior
| Name | Schema |
|---|---|
defaultValue |
object |
enabled |
boolean |
property |
string |
required |
boolean |
visible |
boolean |
3.51. Currency
Currency
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
Code of the currency |
string |
endDate |
End date for using the currency |
string (date-time) |
euro |
Returns true if the currency is in euro |
boolean |
euroRate |
Euro exchange rate |
number (double) |
id |
Id in database |
string |
name |
Name of the currency |
string |
order |
order number of the currency |
integer |
3.52. CustomField
Custom data
| Name | Description | Schema |
|---|---|---|
name |
Name of the custom data |
string |
type |
Type of the custom data |
|
value |
Value of the custom data |
object |
3.53. CustomFieldParam
Description of a parameter of custom field
| Name | Schema |
|---|---|
id |
string |
keywordId |
string |
multiLine |
boolean |
name |
string |
order |
integer (int32) |
property |
string |
realOrder |
integer (int32) |
sequence |
integer (int32) |
textLimit |
integer (int32) |
type |
3.55. CustomRequest
CustomRequest
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
accountingJournalId |
ID of Accounting Journal |
string |
afterTaxAmount |
After-Tax Amount |
number (double) |
arrivalActualDate |
string (date-time) |
|
arrivalDate |
string (date-time) |
|
arrivalPlace |
string |
|
category |
string |
|
categoryId |
string |
|
changeTracking |
Date and user in case of creation and modification |
|
comment |
Comment |
string |
companyCode |
The company code |
string |
currency |
All details about the currency |
|
currencyCode |
Code of the currency used in the document |
string |
customFields |
< string, CustomField > map |
|
customer |
||
customerId |
string |
|
date |
Date on the business document |
string (date-time) |
departureActualDate |
string (date-time) |
|
departureDate |
string (date-time) |
|
departurePlace |
string |
|
description |
Description |
string |
entityCode |
The entity code |
string |
id |
Id in database |
string |
lines |
< CustomRequestLine > array |
|
manager |
Manager details |
|
managerId |
Id of the manager |
string |
name |
Name of the business document |
string |
number |
The number of the business document |
string |
payment |
Payment |
|
phase |
Details about the phase of the project. |
|
phaseId |
The Id of the phase |
string |
preTaxAmount |
Pre-Tax Amount |
number (double) |
project |
All details about the project |
|
projectId |
The code of the project |
string |
projectedApprovalDate |
Project approval date |
string (date-time) |
subPhase |
Details about the sub-phase of the project |
|
subPhaseId |
The Id of the sub-phase |
string |
text |
Text on document |
string |
thirdPartyId |
The Id of the third-party |
string |
thirdPartyToBillId |
The Id of the third-party to bill |
string |
type |
Type of the business document |
3.56. CustomRequestCriteria
CustomRequestCriteria
| Name | Schema |
|---|---|
employeeId |
|
id |
|
name |
|
projectId |
3.57. CustomRequestLine
Custom request Line (Ligne de demande interne)
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
amountTotal |
Total amount in euro |
number (double) |
amountTotalCurrency |
Total amount in the currency |
number (double) |
complementName |
Description of the line |
string |
expenseTypeExpected |
||
expenseTypeExpectedId |
string |
|
generalAccount |
General Account |
string |
id |
Id in database |
string |
isExpenseReport |
boolean |
|
name |
Name of the line |
string |
phase |
Details about the phase of the project. |
|
phaseId |
The Id of the phase |
string |
project |
All details about the project |
|
projectId |
The code of the project |
string |
quantity |
Quantity of the sold product |
number (double) |
rankNumber |
Rank number of the line |
number (double) |
subPhase |
Details about the sub-phase of the project |
|
subPhaseId |
The Id of the sub-phase |
string |
unitPrice |
Unit price of the sold product in euro |
number (double) |
unitPriceCurrency |
Unit price of the sold product in the currency |
number (double) |
3.58. CustomRequestReadOption
CustomRequestReadOption
Polymorphism : Inheritance
Discriminator : type
| Name | Schema |
|---|---|
options |
< enum (CUSTOMER, PROJECT, PHASE, SUB_PHASE, CHANGE_TRACKING, CURRENCY, LINE, LINE_EXPENSE_TYPE_EXPECTED, LINE_PROJECT, LINE_PHASE, LINE_SUB_PHASE, CUSTOM_FIELDS) > array |
type |
string |
3.59. CustomerBase
Customers
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
Code of the customer |
string |
id |
Id in database |
string |
name |
Name of the customer |
string |
3.60. CustomerSiteBase
Customer Sites
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
customerId |
Code of the associated customer |
string |
id |
Id in database |
string |
name |
Name of the customer site |
string |
3.61. CustomizableResources
Customizable resources (Ressources personnalisables)
Type : enum (ISSUE, OPPORTUNITY, OPPORTUNITY_LINE, CUSTOM_REQUEST, EVENT)
3.63. DelegationModule
DelegationModule
Type : enum (SAISIE_TPS_PASSES, VALIDATION_ET_CONTROLE_DES_TEMPS, ACTIVITES_PAR_DEFAUT, DEMANDES_ABSENCE, NDF, APPROBATIONS)
3.64. Describable
Describable interface
| Name | Schema |
|---|---|
description |
string |
externalReport |
string |
number |
string |
title |
string |
3.65. Division
Division
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
string |
|
id |
Id in database |
string |
name |
string |
|
serviceId |
string |
3.66. DivisionGrouping
Division grouping
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
string |
|
id |
Id in database |
string |
name |
string |
|
serviceId |
string |
3.67. Document
a document. It can be a file or a link
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
action |
||
category1 |
string |
|
category2 |
string |
|
category3 |
string |
|
changeTracking |
Creation and modification date and user |
|
classification |
string |
|
companyId |
string |
|
createdBy |
||
createdById |
string |
|
creationDate |
string (date-time) |
|
documentType |
string |
|
externalDMSUuid |
string |
|
fileName |
string |
|
fileUrl |
string |
|
id |
Id in database |
string |
lienUrl |
string |
|
links |
< DocumentLink > array |
|
original |
boolean |
|
preview |
string |
|
publicationDate |
string (date-time) |
|
publishedBy |
||
publishedById |
string |
|
sysName |
string |
|
title |
string |
|
url |
string |
|
version |
number (double) |
|
versionId |
string |
3.68. DocumentLink
a link between a document and any other object
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
document |
||
documentId |
string |
|
id |
Id in database |
string |
objectId |
string |
|
objectType |
||
original |
boolean |
3.69. DocumentVersion
DocumentVersion
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
classification |
string |
|
id |
Id in database |
string |
title |
string |
3.70. DueDate
Due date (Echéance)
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
amount |
number (double) |
|
currencyCode |
string |
|
date |
string (date-time) |
|
id |
Id in database |
string |
invoiceId |
string |
3.72. DutiableLine
Tax Line
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
amountTotal |
Total amount in euro |
number (double) |
amountTotalCurrency |
Total amount in the currency |
number (double) |
complementName |
Description of the line |
string |
exchangeRate |
Details about the exchange rate |
|
generalAccount |
General Account |
string |
id |
Id in database |
string |
name |
Name of the line |
string |
phase |
Details about the phase of the project. |
|
phaseId |
The Id of the phase |
string |
project |
All details about the project |
|
projectId |
The code of the project |
string |
quantity |
Quantity of the sold product |
number (double) |
rankNumber |
Rank number of the line |
number (double) |
subPhase |
Details about the sub-phase of the project |
|
subPhaseId |
The Id of the sub-phase |
string |
unitPrice |
Unit price of the sold product in euro |
number (double) |
unitPriceCurrency |
Unit price of the sold product in the currency |
number (double) |
vat1 |
Details about the first VAT rate |
|
vat2 |
Details about the second VAT rate |
|
vatAmount1 |
Amount in euro with the first VAT |
number (double) |
vatAmount1Currency |
Amount in currency for the first VAT |
number (double) |
vatAmount2 |
Amount in euro for the second VAT |
number (double) |
vatAmount2Currency |
Amount in currency for the second VAT |
number (double) |
3.73. Employee
Employee
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
action |
The action verb. |
|
businessCards |
< BusinessCard > array |
|
candidate |
boolean |
|
code |
Code of the employee |
string |
customFields |
< string, CustomField > map |
|
email |
string |
|
employeeAbilities |
< EmployeeAbility > array |
|
employeeFunctions |
||
employeeHistory |
< EmployeeHistory > array |
|
external |
boolean |
|
firstName |
First name of the employee |
string |
id |
Id in database |
string |
managerMultiCompany |
boolean |
|
mobilePhone |
string |
|
modeInputSchedule |
number (double) |
|
modeTimeRecording |
number (double) |
|
multiCompany |
boolean |
|
name |
Name of the employee |
string |
noTimesDunning |
boolean |
|
number |
string |
|
phone |
string |
|
relations |
< Relation > array |
|
scheduleRules |
||
timeRecordingRules |
||
title |
string |
3.74. EmployeeAbility
ability of an employee
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
employeeId |
string |
|
endDate |
string (date-time) |
|
id |
Id in database |
string |
level |
||
skill |
||
startDate |
string (date-time) |
3.75. EmployeeBase
Employees
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
action |
The action verb. |
|
code |
Code of the employee |
string |
firstName |
First name of the employee |
string |
id |
Id in database |
string |
name |
Name of the employee |
string |
3.76. EmployeeCriteria
EmployeeCriteria
| Name | Schema |
|---|---|
code |
|
excludeCandidate |
|
excludeExternal |
|
excludeGeneric |
|
id |
|
managerId |
|
number |
|
onlyPresent |
|
readOption |
|
relatedEmployeeId |
|
relationTypeId |
|
shouldBeNotified |
|
tag |
|
teamId |
3.77. EmployeeFluent
EmployeeFluent
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
action |
The action verb. |
|
businessCards |
< BusinessCard > array |
|
candidate |
boolean |
|
code |
Code of the employee |
string |
customFields |
< string, CustomField > map |
|
email |
string |
|
employeeAbilities |
< EmployeeAbility > array |
|
employeeFunctions |
||
employeeHistory |
< EmployeeHistory > array |
|
external |
boolean |
|
firstName |
First name of the employee |
string |
historiqueCollaborateur |
< EmployeeHistoryFluent > array |
|
id |
Id in database |
string |
managerMultiCompany |
boolean |
|
mobilePhone |
string |
|
modeInputSchedule |
number (double) |
|
modeTimeRecording |
number (double) |
|
multiCompany |
boolean |
|
name |
Name of the employee |
string |
noTimesDunning |
boolean |
|
number |
string |
|
phone |
string |
|
relations |
< Relation > array |
|
scheduleRules |
||
timeRecordingRules |
||
title |
string |
3.78. EmployeeFunctions
EmployeeFunctions
| Name | Schema |
|---|---|
allFunctions |
boolean |
allOperational |
boolean |
allPurchases |
boolean |
allSales |
boolean |
cMMSContractSalesManager |
boolean |
cMMSContractTechnicalManager |
boolean |
cMMSMRAndEOManager |
boolean |
inputOfExpenseReport |
boolean |
inputSchedule |
boolean |
projectAccountManager |
boolean |
projectAssignment |
boolean |
projectFinanceManager |
boolean |
projectPhaseManager |
boolean |
projectProductionManager |
boolean |
projectSalesManager |
boolean |
projectSendOnMission |
boolean |
purchasesReceptionTracking |
boolean |
purchasingBuyer |
boolean |
salesBillingSchedulesTracking |
boolean |
salesOrderAndEstimateTracking |
boolean |
salesSalesAssistant |
boolean |
timeRecording |
boolean |
3.79. EmployeeHistory
EmployeeHistory
| Name | Schema |
|---|---|
code |
string |
dailyCost |
number (double) |
dailyHours |
number (double) |
dailySellingPrice |
number (double) |
directHourlyRate |
number (double) |
employeeFamily1 |
string |
employeeFamily2 |
string |
employeeFamily3 |
string |
employeeHistoryType |
string |
employeeId |
string |
entity |
string |
from |
string (date-time) |
leave |
boolean |
managerId |
string |
occupancyRate |
number (double) |
position |
string |
service |
string |
skill |
string |
standardHourlyRate |
number (double) |
to |
string (date-time) |
weekHours |
number (double) |
3.80. EmployeeHistoryCriteria
EmployeeHistoryCriteria
| Name | Schema |
|---|---|
employeeId |
|
from |
|
managerId |
|
to |
3.81. EmployeeHistoryFluent
EmployeeHistoryFluent
Polymorphism : Inheritance
Discriminator : employeeHistoryType
| Name | Schema |
|---|---|
code |
string |
dailyCost |
number (double) |
dailyHours |
number (double) |
dailySellingPrice |
number (double) |
directHourlyRate |
number (double) |
employeeFamily1 |
string |
employeeFamily1Code |
string |
employeeFamily2 |
string |
employeeFamily2Code |
string |
employeeFamily3 |
string |
employeeFamily3Code |
string |
employeeHistoryType |
string |
employeeId |
string |
entity |
string |
entityCode |
string |
from |
string (date-time) |
leave |
boolean |
managerCode |
string |
managerId |
string |
occupancyRate |
number (double) |
position |
string |
service |
string |
serviceCode |
string |
skill |
string |
skillCode |
string |
standardHourlyRate |
number (double) |
to |
string (date-time) |
weekHours |
number (double) |
3.82. EmployeeReadOption
EmployeeReadOption
Polymorphism : Inheritance
Discriminator : type
| Name | Schema |
|---|---|
options |
< enum (EMPLOYEE_HISTORY, CALENDAR_RULES, BUSINESS_CARDS, RELATED_EMPLOYEES, EMPLOYEE_ABILITIES, CUSTOM_FIELDS) > array |
type |
string |
3.83. EmployeeWeek
EmployeeWeek
| Name | Schema |
|---|---|
dailyHours |
number (double) |
employeeId |
string |
from |
string (date-time) |
leave |
boolean |
to |
string (date-time) |
typicalDaysByWeekDay |
< string, typicalDaysByWeekDay > map |
weekHours |
number (double) |
typicalDaysByWeekDay
| Name | Schema |
|---|---|
afternoonMinutes |
number (double) |
morningMinutes |
number (double) |
3.84. Entity
Entity (Etablissement)
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
The code of the entity |
string |
companyId |
string |
|
divisionId |
string |
|
id |
Id in database |
string |
legalName |
string |
|
name |
The name of the entity |
string |
3.85. EntityBase
Entity
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
The code of the entity |
string |
id |
Id in database |
string |
name |
The name of the entity |
string |
3.86. EventType
Type of event
Type : enum (COMMAND_TASK, COMPANY, CUSTOMER, DIVISION, DIVISION_GROUP, EMPLOYEE, ENTITY, EXPENSE, EXPENSE_REPORTS, INVOICES_CHECK, ISSUE, PHASE, PROJECT, PROJECT_TASK, SCHEDULE, SPRINT, SUB_PHASE, TASK, TIMERECORDING, DOCUMENT, YEAR, REFRESH_CQRS, ALL)
3.87. ExchangeRate
Exchange Rate
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
currency |
Details about the currency |
|
currencyId |
Id of the currency |
string |
endDate |
End date for using the exchange rate |
string (date-time) |
id |
Id in database |
string |
rate |
Exchange rate to convert the amount from euro into an amount in the revelant currency |
number (double) |
startDate |
Start date for using the exchange rate |
string (date-time) |
3.88. Expense
Expense
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
afterTaxAmountRefunded |
number (double) |
|
afterTaxCurrencyAmountRefunded |
number (double) |
|
alerts |
< Alert > array |
|
amountTotal |
Total amount in euro |
number (double) |
amountTotalCurrency |
Total amount in the currency |
number (double) |
businessCard |
boolean |
|
changeTracking |
Date and user of creation and modification |
|
complementName |
Description of the line |
string |
currency |
||
currencyCode |
string |
|
customAssignment |
string |
|
customRequest |
||
customRequestId |
string |
|
customer |
||
customerId |
string |
|
dateAcceptationOfDenial |
string (date-time) |
|
dateCancellationOfDenial |
string (date-time) |
|
dateOfDenial |
string (date-time) |
|
documents |
< Document > array |
|
employeeAcceptationOfDenial |
||
employeeAcceptationOfDenialId |
string |
|
employeeCancellationOfDenial |
||
employeeCancellationOfDenialId |
string |
|
exchangeRate |
||
exchangeRateId |
string |
|
expenseDate |
string (date-time) |
|
expenseReportId |
string |
|
expenseType |
||
expenseTypeCode |
Deprecated See expenseTypeId and expenseType |
string |
expenseTypeId |
string |
|
fiscalPower |
||
generalAccount |
General Account |
string |
guests |
< Guest > array |
|
guid |
string |
|
id |
Id in database |
string |
kilometers |
number (double) |
|
name |
Name of the line |
string |
notRefundable |
boolean |
|
numberOfDocuments |
integer |
|
phase |
Details about the phase of the project. |
|
phaseId |
The Id of the phase |
string |
preTaxAmountRefunded |
number (double) |
|
preTaxCurrencyAmountRefunded |
number (double) |
|
preTaxExpenseAmount |
number (double) |
|
previousExpense |
||
previousExpenseId |
string |
|
project |
All details about the project |
|
projectId |
The code of the project |
string |
quantity |
Quantity of the sold product |
number (double) |
rankNumber |
Rank number of the line |
number (double) |
rebillable |
boolean |
|
receiptNumber |
string |
|
refusalComment |
string |
|
refused |
boolean |
|
refusingEmployee |
||
refusingEmployeeId |
string |
|
smartScan |
||
subPhase |
Details about the sub-phase of the project |
|
subPhaseId |
The Id of the sub-phase |
string |
syncError |
boolean |
|
threshold |
number (double) |
|
unitPrice |
Unit price of the sold product in euro |
number (double) |
unitPriceCurrency |
Unit price of the sold product in the currency |
number (double) |
vat1 |
Details about the first VAT rate |
|
vat2 |
Details about the second VAT rate |
|
vatAmount1 |
Amount in euro with the first VAT |
number (double) |
vatAmount1Currency |
Amount in currency for the first VAT |
number (double) |
vatAmount2 |
Amount in euro for the second VAT |
number (double) |
vatAmount2Currency |
Amount in currency for the second VAT |
number (double) |
3.89. ExpenseCategory
Category of expense type
Type : enum (REGULAR, MILEAGE, TOLL, RESTAURANT_DOUBLE_VAT)
3.90. ExpenseCriteria
All the criteria that can be used to search for Expense
| Name | Schema |
|---|---|
billable |
|
date |
|
expenseTypeId |
|
id |
|
missionNumber |
|
project |
|
proofNumber |
|
syncError |
3.91. ExpenseDashboardCriteria
All the criteria that can be used to search for ExpenseDashboard
| Name | Schema |
|---|---|
expenseCriteria |
|
expenseReportCriteria |
3.92. ExpenseDashboardResult
Result of expenses dashboard
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
expense |
||
expenseReport |
||
id |
Id in database |
string |
3.94. ExpenseRebillableOptions
default option to bill again the customer
Type : enum (REFUND_AMOUNT, INPUT_AMOUNT, NOTHING)
3.95. ExpenseReceiptSummary
Validity criteria
| Name | Schema |
|---|---|
amount |
number (double) |
currencyCode |
string |
date |
string (date-time) |
expenseTypeCode |
string |
filePath |
string |
3.96. ExpenseReport
ExpenseReport
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
accountingJournalId |
ID of Accounting Journal |
string |
afterTaxAmount |
After-Tax Amount |
number (double) |
changeTracking |
Date and user in case of creation and modification |
|
code |
string |
|
comment |
Comment |
string |
companyCode |
The company code |
string |
currency |
All details about the currency |
|
currencyCode |
Code of the currency used in the document |
string |
date |
Date on the business document |
string (date-time) |
description |
Description |
string |
employee |
||
employeeId |
string |
|
entityCode |
The entity code |
string |
expenses |
< Expense > array |
|
guid |
string |
|
id |
Id in database |
string |
invoicedDate |
string (date-time) |
|
manager |
Manager details |
|
managerId |
Id of the manager |
string |
name |
Name of the business document |
string |
number |
The number of the business document |
string |
paidDate |
string (date-time) |
|
payment |
Payment |
|
phase |
Details about the phase of the project. |
|
phaseId |
The Id of the phase |
string |
preTaxAmount |
Pre-Tax Amount |
number (double) |
project |
All details about the project |
|
projectId |
The code of the project |
string |
projectedApprovalDate |
Project approval date |
string (date-time) |
regularizationReason |
string |
|
subPhase |
Details about the sub-phase of the project |
|
subPhaseId |
The Id of the sub-phase |
string |
supplier |
||
terminationDate |
string (date-time) |
|
text |
Text on document |
string |
thirdPartyId |
The Id of the third-party |
string |
thirdPartyToBillId |
The Id of the third-party to bill |
string |
type |
Type of the business document |
|
validationDate |
string (date-time) |
3.97. ExpenseReportBillingParameters
ExpenseReportBillingParameters
| Name | Schema |
|---|---|
accountingJournalId |
string |
billingDate |
string (date-time) |
entityId |
string |
fiscalYearId |
string |
mergeJustificatories |
boolean |
paymentDate |
string (date-time) |
3.98. ExpenseReportCriteria
All the criteria that can be used to search for ExpenseReport
| Name | Description | Schema |
|---|---|---|
acceptationOfDenial |
||
billed |
if true, expenseReport billed |
|
cancelled |
||
code |
||
companyCode |
||
date |
||
employeeDivisionGroupingId |
||
employeeDivisionId |
||
employeeEstablishmentId |
||
employeeId |
||
employeeServiceId |
||
expenseId |
||
id |
||
invoicedDate |
||
isMultiCompany |
||
missionNumber |
||
mode |
if 'latest' then filter the expense reports with all non invoiced and the latest invoiced |
|
readOption |
||
refused |
||
regularizationReason |
||
terminated |
||
validated |
if true, expenseReport validated |
3.99. ExpenseReportIdListParamHolder
ExpenseReportIdListParamHolder
| Name | Schema |
|---|---|
expenseReportIdList |
< string > array |
3.101. ExpenseReportReadOption
ExpenseReportReadOption
Polymorphism : Inheritance
Discriminator : type
| Name | Schema |
|---|---|
options |
< enum (SUPPLIER, EMPLOYEE, MANAGER, EXPENSE, EXPENSE_CUSTOMER, EXPENSE_PROJECT, EXPENSE_PHASE, EXPENSE_SUB_PHASE, EXPENSE_EXPENSE_TYPE, EXPENSE_DOCUMENTS_COUNT, EXPENSE_REFUSING_EMPLOYEE, EXPENSE_EMPLOYEE_ACCEPTATION_OF_DENIAL, EXPENSE_EMPLOYEE_CANCELLATION_OF_DENIAL, EXPENSE_GUESTS, EXPENSE_CURRENCY, EXPENSE_DOCUMENTS, EXPENSE_CUSTOM_REQUEST) > array |
type |
string |
3.102. ExpenseThreshold
Expense limit for an employee and a given expenseType
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
dailyThreshold |
number (double) |
|
hasThreshold |
boolean |
|
id |
Id in database |
string |
threshold |
number (double) |
3.103. ExpenseType
ExpenseType
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
amountEditable |
boolean |
|
billableEditable |
boolean |
|
code |
string |
|
commentRequired |
boolean |
|
controlsBehavior |
Field control behavior for expense Type |
< ControlBehavior > array |
dailyLimit |
number (double) |
|
defaultAmount |
number (double) |
|
description |
string |
|
endDate |
string (date-time) |
|
expenseCategory |
||
expenseRebillableOptions |
||
expenseThreshold |
number (double) |
|
guestsRequired |
boolean |
|
hideVat |
boolean |
|
icon |
string |
|
id |
Id in database |
string |
km |
boolean |
|
notRefundable |
boolean |
|
notRefundableEditable |
boolean |
|
receiptRequired |
boolean |
|
showAdditionalComment |
boolean |
|
showCustomRequest |
boolean |
|
showQuantity |
boolean |
|
showReceiptNumber |
boolean |
|
vat1Code |
string |
|
vat2Code |
string |
3.104. ExpenseTypeCriteria
Criteria used on Expense Type when doing a search
| Name | Schema |
|---|---|
code |
|
companyCode |
|
description |
|
employeeId |
|
id |
|
readOption |
|
tag |
|
validity |
3.105. ExpenseTypeExpected
Expense type expected (Nature de dépense prévue)
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
string |
|
description |
string |
|
endDate |
string (date-time) |
|
id |
Id in database |
string |
name |
string |
3.106. ExpenseTypeReadOption
ExpenseTypeReadOption
Polymorphism : Inheritance
Discriminator : type
| Name | Schema |
|---|---|
options |
< enum (CONTROLS_BEHAVIOR) > array |
type |
string |
3.107. FiscalPower
fiscalPower (Puissance fiscale)
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
endDate |
string (date-time) |
|
expenseTypeId |
string |
|
id |
Id in database |
string |
power |
number (double) |
|
rate |
number (double) |
|
startDate |
string (date-time) |
3.108. FiscalPowerCriteria
FiscalPowerCriteria
| Name | Schema |
|---|---|
companyCode |
|
employeeId |
|
expenseTypeId |
|
id |
|
power |
|
rate |
|
validity |
3.109. ForcedVatAmountHolder
VAT Amount and forced indicator holder
| Name | Description | Schema |
|---|---|---|
amount |
Forced amount |
number (double) |
businessDocumentLineId |
ID of the business document line |
string |
forced |
Returns true if the amount is forced |
boolean |
3.110. Guest
A guest of an expense report
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
company |
string |
|
employee |
||
employeeId |
string |
|
expenseId |
string |
|
firstName |
string |
|
id |
Id in database |
string |
lastName |
string |
3.112. IdIdentifiable
Basic type for all pojos with an API ID
| Name | Description | Schema |
|---|---|---|
id |
Id in database |
string |
3.113. Item
Item
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
category |
All details about the category of the sold product |
|
categoryId |
The Id of the category |
string |
comment |
Comment on the sold product |
string |
companyCode |
The company code |
string |
entityCode |
The entity code |
string |
family |
The category of the sold product |
string |
grouping |
The grouping of the sold product |
string |
id |
Id in database |
string |
inventory |
Returns true if the sold product is in the inventory |
boolean |
name |
Identification name |
string |
reference |
The reference of the sold product |
string |
shortName |
Abbreviated designation |
string |
subCategory |
All details about the sub-category of the sold product |
|
subCategoryId |
The Id of the sub-category |
string |
subFamily |
The sub-category of the sold product |
string |
3.114. ItemBase
Item
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
id |
Id in database |
string |
3.115. ItemLine
ItemLine
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
amountTotal |
Total amount in euro |
number (double) |
amountTotalCurrency |
Total amount in the currency |
number (double) |
complementName |
Description of the line |
string |
discount |
Total discount amount (on the line) in currency |
number (double) |
endDate |
Period end date |
string (date-time) |
exchangeRate |
Details about the exchange rate |
|
generalAccount |
General Account |
string |
id |
Id in database |
string |
item |
Details about the item |
|
itemId |
The Id of the sold product |
string |
name |
Name of the line |
string |
phase |
Details about the phase of the project. |
|
phaseId |
The Id of the phase |
string |
project |
All details about the project |
|
projectId |
The code of the project |
string |
quantity |
Quantity of the sold product |
number (double) |
rankNumber |
Rank number of the line |
number (double) |
startDate |
Period start date |
string (date-time) |
subPhase |
Details about the sub-phase of the project |
|
subPhaseId |
The Id of the sub-phase |
string |
unitPrice |
Unit price of the sold product in euro |
number (double) |
unitPriceCurrency |
Unit price of the sold product in the currency |
number (double) |
vat1 |
Details about the first VAT rate |
|
vat2 |
Details about the second VAT rate |
|
vatAmount1 |
Amount in euro with the first VAT |
number (double) |
vatAmount1Currency |
Amount in currency for the first VAT |
number (double) |
vatAmount2 |
Amount in euro for the second VAT |
number (double) |
vatAmount2Currency |
Amount in currency for the second VAT |
number (double) |
3.117. Leave
Leave
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
comment |
string |
|
commentValidator |
string |
|
dateValidator |
string (date-time) |
|
duration |
number (double) |
|
employeeId |
string |
|
employeeValidator |
string |
|
endDate |
string (date-time) |
|
guid |
string |
|
id |
Id in database |
string |
leaveRightId |
string |
|
leaveState |
||
leaveType |
string |
|
modificationTime |
string (date-time) |
|
requestDate |
string (date-time) |
|
startAfterNoon |
boolean |
|
startDate |
string (date-time) |
3.118. LeaveCriteria
LeaveCriteria
| Name | Schema |
|---|---|
comment |
|
duration |
|
employeeId |
|
endDate |
|
guid |
|
id |
|
leaveRightId |
|
leaveState |
|
modificationTime |
|
requestDate |
|
startAfterNoon |
|
startDate |
3.119. LeaveRight
LeaveRight
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
string |
|
endDate |
string (date-time) |
|
id |
Id in database |
string |
name |
string |
|
right |
number (double) |
|
startDate |
string (date-time) |
|
tolerance |
number (double) |
3.121. LinkedObjectType
Type of publish.
Type : enum (CUSTOMER, CONTACT, OPPORTUNITY, EVENT, CARD, ISSUE, EXPENSE, EXPENSE_REPORT, QUOTATION, SALES_ORDER, QUOTE, PURCHASE_ORDER, PURCHASE_INVOICE, INVOICE, PROJECT, SUPPLIER, DELIVERY, EMPLOYEE)
3.122. Mail
Represents all information needed to send a mail (recipient, subject and body)
| Name | Description | Schema |
|---|---|---|
body |
content of the mail as a text |
string |
cc |
Mail carbon copy recipients |
< string > array |
cci |
Mail hidden carbon copy recipients |
< string > array |
from |
Mail sender |
string |
replyTo |
Mail reply to |
string |
title |
Mail title |
string |
to |
Mail recipients |
< string > array |
3.124. ManagerDelegatedCriteria
ManagerDelegatedCriteria
| Name | Schema |
|---|---|
delegationModule |
|
tag |
string |
3.125. Message
A message is a combination of a Mail (used to store standard information for sending a mail) and functional information. This functional information is processed by backend service to compute standard information for sending mail like an employee’s email address.
| Name | Description | Schema |
|---|---|---|
ccRecipients |
Mail recipients |
< MessageRecipient > array |
cciRecipients |
Mail recipients |
< MessageRecipient > array |
mail |
||
replyTo |
Mail recipient replyTo |
|
toRecipients |
Mail recipients |
< MessageRecipient > array |
3.126. MessageRecipient
Recipient of a message
| Name | Schema |
|---|---|
address |
string |
id |
string |
summary |
string |
type |
3.127. MessageRecipientType
Message recipient type
Type : enum (USER, EMPLOYEE, CONTACT, TEAM, MAIL_ADDRESS)
3.128. OpportunityBase
OpportunityBase
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
string |
|
id |
Id in database |
string |
name |
string |
3.129. PatchElement
A JSONPatch as defined by RFC 6902
| Name | Description | Schema |
|---|---|---|
from |
A JSON-Pointer @see https://tools.ietf.org/html/rfc6901 |
string |
op |
The operation to be performed |
enum (ADD, REMOVE, REPLACE, TEST, MOVE, COPY) |
path |
A JSON-Pointer @see https://tools.ietf.org/html/rfc6901 |
string |
value |
The value to be used within the operations. |
object |
3.130. Payment
Payment
Polymorphism : Composition
| Name | Schema |
|---|---|
code |
string |
day |
number (double) |
deadLine |
string |
term |
string |
3.131. Period
Period
| Name | Description | Schema |
|---|---|---|
from |
smaller date of the period |
string (date-time) |
granularity |
To limit the granularity to a unit other than milliseconds, pass the units as the third parameter. DAY by default. |
|
inclusivity |
inclusivity. A [ indicates inclusion of a value. A ( indicates exclusion (for the smaller date of the period, use ) and ] for the bigger one). Inclusive by default. |
string |
to |
bigger date of the period |
string (date-time) |
3.132. PeriodGranularity
Granularity of a period
Type : enum (YEAR, MONTH, DAY, HOUR, MINUTE, SECOND, MILLISECOND)
3.133. Periodicity
Periodicity
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
Periodicity of payment (0 = Unique (default); 1 = Annual; 2 = Bi-annual; 3 = Quarterly; 4 = Monthly) |
|
duration |
Duration in month |
number (double) |
id |
Id in database |
string |
startDate |
Date by which the periodicity is starting |
string (date-time) |
tacitAgrement |
Returns true if the checkbox "tacit renewal" is checked |
boolean |
term |
Returns true if due, false if not due |
boolean |
3.135. PhaseBase
Phase
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
Code of a phase |
string |
id |
Id in database |
string |
name |
Name of a phase |
string |
order |
Order number of the project |
integer (int32) |
project |
Details about the corresponding project |
|
projectId |
Id of the corresponding project |
string |
3.136. ProjectBase
Project
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
customerId |
Id of the customer |
string |
endCustomerId |
Id of the end customer |
string |
id |
Id in database |
string |
internal |
If the project is internal or not |
boolean |
name |
Name of a project |
string |
3.137. ProjectGroup
ProjectGroup
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
string |
|
description |
string |
|
id |
Id in database |
string |
name |
string |
3.138. ProjectTaskBase
The Project task base
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
id |
Id in database |
string |
name |
Name of the task |
string |
order |
Order number of the task |
integer (int32) |
phase |
The phase of the project |
|
phaseId |
The ID of the phase |
string |
project |
The project |
|
projectId |
The ID of a project |
string |
subPhase |
The sub-phase of the project |
|
subPhaseId |
The ID of the sub-phase |
string |
3.139. PublishArguments
Arguments for a publication (Template / Extension / Parameters).
| Name | Description | Schema |
|---|---|---|
extension |
string |
|
parameters |
< PublishTemplateParameter > array |
|
saveDocument |
boolean |
|
template |
Detail about the template |
3.140. PublishTemplate
Publish template
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
string |
|
endDate |
string (date-time) |
|
extensions |
< string > array |
|
id |
Id in database |
string |
name |
string |
|
path |
string |
|
type |
3.141. PublishTemplateParameter
Parameters of a Publish template.
| Name | Schema |
|---|---|
controlType |
|
groupName |
string |
labelText |
string |
nameField |
string |
nameFieldNext |
string |
pattern |
string |
required |
boolean |
selectionList |
< PublishTemplateParameterChoice > array |
value |
object |
3.142. PublishTemplateParameterChoice
Choices for a parameter of a Publish template.
| Name | Schema |
|---|---|
label |
string |
value |
string |
3.143. PublishTemplateParameterType
Type of parameter.
Type : enum (TEXT_BOX, LIST_BOX, DATE_BOX, RADIO_BUTTON, CHECK_BOX, COMBO_BOX)
3.144. PublishTemplateType
Describe the Publish template type which is unique by code-modelId tuple. Allowed ModelId values depend on choosen code value.
| Name | Schema |
|---|---|
code |
string |
modelDescription |
string |
modelId |
string |
name |
string |
3.145. PublishType
Type of publish.
Type : enum (QUOTATION, SALES_ORDER, SALES_INVOICE, QUOTE, PURCHASE_ORDER, PURCHASE_INVOICE, CUSTOMER, CUSTOM_REQUEST, EXPENSE_REPORT)
3.146. PublishedDocument
Published Document.
| Name | Description | Schema |
|---|---|---|
documentId |
Document ID |
string |
isDocument |
boolean |
|
token |
string |
3.147. QuickEntryTime
QuickEntryTime
Polymorphism : Inheritance
Discriminator : type
| Name | Description | Schema |
|---|---|---|
actionCode |
||
actionCode2 |
||
actionCode2Id |
string |
|
actionCodeId |
string |
|
approval |
enum (BRUT, CONTROLE, VALIDE, GRATUIT, NON_FACTURE, FACTURE, REFUSE, DISSOCIE) |
|
approvalLabel |
string |
|
changeTracking |
Creation and modification date and user |
|
comment |
string |
|
customer |
||
customerId |
string |
|
date |
string (date-time) |
|
duration |
duration in unit asked (dft Unit of presentation of employee) |
number (double) |
employee |
||
employeeId |
string |
|
guid |
string |
|
id |
Id in database |
string |
name |
string |
|
phase |
||
phaseId |
string |
|
place |
string |
|
project |
||
projectId |
string |
|
projectTask |
||
projectTaskId |
string |
|
subPhase |
||
subPhaseId |
string |
|
type |
string |
|
unit |
Unit of duration (dft Unit of presentation of employee) |
|
validated |
boolean |
3.148. ReadOption
option use to get additional information when doing a search
| Name | Schema |
|---|---|
type |
string |
3.149. Relation
a relation between two employees
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
employee |
||
employeeId |
string |
|
id |
Id in database |
string |
relatedEmployee |
||
relatedEmployeeId |
string |
|
relationType |
3.150. RelationCriteria
RelationCriteria
| Name | Schema |
|---|---|
employeeId |
|
employeeIdOrRelatedEmployeeId |
|
relatedEmployeeId |
3.151. RelationType
Type of a relation
Polymorphism : Inheritance
Discriminator : id
| Name | Description | Schema |
|---|---|---|
code |
string |
|
id |
Id in database |
string |
name |
string |
3.152. Schedule
Schedule
Polymorphism : Inheritance
Discriminator : type
| Name | Description | Schema |
|---|---|---|
actionCode |
||
actionCodeId |
string |
|
changeTracking |
Creation and modification date and user |
|
comment |
string |
|
customer |
||
customerId |
string |
|
date |
string (date-time) |
|
description |
string |
|
duration |
duration in unit asked (dft Unit of presentation of employee) |
number (double) |
employee |
||
employeeId |
string |
|
guid |
string |
|
id |
Id in database |
string |
phase |
||
phaseId |
string |
|
place |
string |
|
project |
||
projectId |
string |
|
projectTask |
||
projectTaskId |
string |
|
subPhase |
||
subPhaseId |
string |
|
type |
string |
|
unit |
Unit of duration (dft Unit of presentation of employee) |
|
validated |
boolean |
3.153. ScheduleBase
Schedules
Polymorphism : Inheritance
Discriminator : type
| Name | Description | Schema |
|---|---|---|
actionCode |
||
[...]
